- udev changes in rc.S
- remove pcmcia stuff from rc.S, since efika doesn't have pcmcia
- remove floppy support from rc.S, Efika doesn't have floppies
- If there are no partitions dump user to shell so she/he can create them


	Domen

---
 etc/rc.d/rc.S       |   67 +++-------------------------------------------------
 usr/lib/setup/setup |    5 +++
 2 files changed, 9 insertions(+), 63 deletions(-)

Index: rootfs-slefika/etc/rc.d/rc.S
===================================================================
--- rootfs-slefika.orig/etc/rc.d/rc.S
+++ rootfs-slefika/etc/rc.d/rc.S
@@ -3,52 +3,20 @@
 # We need /proc:
 /bin/busybox-init mount -av
 
-# libs.tar.lzma exists only with floppies, not on CD-ROM:
-[ -f /libs.tar.lzma ] && /bin/lzma d -si -so < /libs.tar.lzma 2> /dev/null | /bin/tar xf -
-
 # The whole backbuffer can be seen with Shift+PgUp even we use dialog:
 echo -e '\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n'
-DIALOGOPTS="--backtitle \"Tukaani Installer\""
+DIALOGOPTS="--backtitle \"Slefika Installer\""
 export DIALOGOPTS
 
-while [ ! -f /usr/lib/setup/setup ] ; do
-dialog --title "INSERT DISK #2" --msgbox "Insert the Tukaani installation floppy disk #2
-and press the ENTER key to continue." 6 53
-dialog --title "PLEASE WAIT" --infobox "Loading the floppy into the RAM disk..." 3 43
-/bin/lzma d -si -so < /dev/fd0 2> /dev/null | /bin/tar xf - > /dev/null 2> /dev/null
-done
-
-rm -f /libs.tar.lzma
 /bin/setterm -blank 0
 
 /sbin/syslogd 2> /dev/null
 sleep 1
 /sbin/klogd -c 3 1> /dev/null
 
-while [ ! -f /etc/rc.d/rc.pcmcia ]; do
-  dialog --title "LOAD OPTIONAL THIRD FLOPPY?" \
-    --yes-label Load --no-label Skip --yesno \
-"You have now successfully loaded the Tukaani installation
-program. The first two floppies provide:
-- Filesystems: ReiserFS, ISO9660, NFS, VFAT (FAT16/32)
-- Network cards: PCI/ISA/MCA 10/100, also some 10/100/1000
-- Serial ATA (SATA), USB storage
-- 'plink' SSH/telnet client from PuTTY
-The optional third floppy adds support for:
-- Filesystems: ext2, ext3, JFS, NTFS, UDF
-- The rest of the network cards
-- PCMCIA, MD/RAID, SCSI, MMC, IEEE1394 (Firewire)
-
-If you want to load the third floppy, insert it now and
-press <Load>. Otherwise press <Skip>." 0 0
-[ $? != 0 ] && break
-dialog --title "PLEASE WAIT" --infobox "Loading the floppy into the RAM disk..." 3 43
-/bin/lzma d -si -so < /dev/fd0 2> /dev/null | /bin/tar xf -
-done
-
-dialog --title "WELCOME TO TUKAANI INSTALLER" --yes-label Reduced \
+dialog --title "WELCOME TO SLEFIKA INSTALLER" --yes-label Reduced \
 --no-label All --yesno \
-"Congratulations, you have successfully booted Tukaani Installer! \n\
+"Congratulations, you have successfully booted Slefika Installer! \n\
 \n\
 Select the amount of questions you are willing to see:\n\
 * REDUCED: In reduced mode only the most important question \n\
@@ -72,33 +40,8 @@ dialog --title "START HOTPLUG AND UDEV?"
 fi
 
 if [ $USE_HOTPLUG = 1 ]; then
-. /etc/udev/udev.conf
-ACTION=add UDEV_NO_SLEEP=1 /sbin/udevstart
-. /etc/udev/scripts/make_extra_nodes.sh
-else
-# sysctl support is probably disabled.
-mv /sbin/hotplug /sbin/hotplug.disabled
-fi
-
-if [ -f /etc/expert-mode -a -f /etc/rc.d/rc.pcmcia ]; then
-  dialog --title "ACTIVATE PCMCIA?" --defaultno --yesno \
-"If you need a PCMCIA network card or disk drive,
-you should activate PCMCIA now.
-
-Do you want to activate PCMCIA?" 0 0
-if [ $? = 0 ]; then
-clear
-echo
-/etc/rc.d/rc.pcmcia start
-echo
-echo "Press enter to continue."
-read foo
-fi
-fi
-
-if [ $USE_HOTPLUG = 1 ]; then
-  dialog --title "DETECTING HARDWARE" --infobox "Running hotplug, please wait..." 3 36
-  . /etc/rc.d/rc.hotplug start 2>&1 | logger
+  echo "starting udev, this could take a few seconds"
+  /etc/rc.d/rc.udev start
 else
   /bin/sh /dev/makedevs.sh
 fi
Index: rootfs-slefika/usr/lib/setup/setup
===================================================================
--- rootfs-slefika.orig/usr/lib/setup/setup
+++ rootfs-slefika/usr/lib/setup/setup
@@ -56,7 +56,7 @@ while : ; do
   case $SETUP_STEP in
   1)
 #    dialog --title "Slackware Setup Help" --exit-label OK --textbox "/usr/lib/setup/FDhelp" 22 77
-    [ -f /etc/expert-mode ] && SeTmodules
+#    [ -f /etc/expert-mode ] && SeTmodules
     SeTfdisk
     if probe -l | grep 'Linux$' 1> /dev/null 2> /dev/null ; then
      probe -l | grep 'Linux$' | sort 1> $TMP/SeTplist 2> /dev/null
@@ -66,6 +66,9 @@ while : ; do
      --msgbox "There don't seem to be any partitions on this machine of type \
 Linux.  You'll need to make at least one of these to install Linux.  \
 For more information, read the 'setup' help file in the next screen." 8 60
+     echo "dumping to shell, so you can create them... (fdisk, cfdisk)"
+     echo "finish with 'exit'"
+     /bin/sh
     fi
     ;;
   2)
